[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

PATCH: check installed version of Neon if not building it from source

From: Julian Foad <julianfoad_at_btopenworld.com>
Date: 2003-09-09 17:54:07 CEST

I noticed that I had been building Subversion with Neon 0.22.0-6 (instead of 0.24.1). I hadn't renamed the "./neon-0.24.1" source directory to "./neon", so Subversion didn't find it, so Subversion didn't check the version, and instead linked to my installed version of Neon (0.22).

How about this additional check?

[[[
Check the installed version of Neon if not building it from source.

Previously, the version of Neon was only checked when building it from source.
Now it is also checked if a Neon RPM package is installed.
This still leaves no check when Neon is installed other than through RPM.

* build/buildcheck.sh
  If no Neon source tree is found, but a Neon RPM package is installed,
  then check the version of the RPM package.
]]]

If the Neon source tree is bot present and (RPM is not installed or the RPM package "neon" is not installed), then this silently continues, just as before.

- Julian

Check the installed version of Neon if not building it from source.

Previously, the version of Neon was only checked when building it from source.
Now it is also checked if a Neon RPM package is installed.
This still leaves no check when Neon is installed other than through RPM.

* build/buildcheck.sh
  If no Neon source tree is found, but a Neon RPM package is installed,
  then check the version of the RPM package.

Index: build/buildcheck.sh
===================================================================
--- build/buildcheck.sh (revision 7017)
+++ build/buildcheck.sh (working copy)
@@ -133,6 +133,18 @@
       ;;
   esac
   echo "buildcheck: neon version $NEON_VERSION (ok)"
+elif rpm -q --queryformat "" neon 2> /dev/null; then
+ NEON_VERSION="`rpm -q --queryformat "%{VERSION}" neon`"
+ case "$NEON_VERSION" in
+ $NEON_TEST_REGEX)
+ ;;
+ *)
+ echo "buildcheck: neon version $NEON_VERSION is installed."
+ echo " You need neon $NEON_LATEST_WORKING_VER."
+ exit 1
+ ;;
+ esac
+ echo "buildcheck: neon version $NEON_VERSION (ok)"
 fi
 
 #--------------------------------------------------------------------------

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@subversion.tigris.org
For additional commands, e-mail: dev-help@subversion.tigris.org
Received on Tue Sep 9 17:54:09 2003

This is an archived mail posted to the Subversion Dev mailing list.

This site is subject to the Apache Privacy Policy and the Apache Public Forum Archive Policy.